import * as cdk from 'aws-cdk-lib';
import * as constructs from 'constructs';
/**
 * CRUD operations for New Relic Alerts Muting Rule via the NerdGraph API
 *
 * @schema CfnAlertsMutingRuleProps
 */
export interface CfnAlertsMutingRuleProps {
    /**
     * @schema CfnAlertsMutingRuleProps#Rule
     */
    readonly rule: string;
    /**
     * @schema CfnAlertsMutingRuleProps#ListQueryFilter
     */
    readonly listQueryFilter?: string;
    /**
     * @schema CfnAlertsMutingRuleProps#Variables
     */
    readonly variables?: any;
}
/**
 * Converts an object of type 'CfnAlertsMutingRuleProps' to JSON representation.
 */
export declare function toJson_CfnAlertsMutingRuleProps(obj: CfnAlertsMutingRuleProps | undefined): Record<string, any> | undefined;
/**
 * A CloudFormation `NewRelic::Observability::AlertsMutingRule`
 *
 * @cloudformationResource NewRelic::Observability::AlertsMutingRule
 * @stability external
 * @link https://github.com/newrelic/newrelic-cloudformation-resource-providers-alertsmutingrule.git
 */
export declare class CfnAlertsMutingRule extends cdk.CfnResource {
    /**
    * The CloudFormation resource type name for this resource class.
    */
    static readonly CFN_RESOURCE_TYPE_NAME = "NewRelic::Observability::AlertsMutingRule";
    /**
     * Resource props.
     */
    readonly props: CfnAlertsMutingRuleProps;
    /**
     * Attribute `NewRelic::Observability::AlertsMutingRule.Id`
     * @link https://github.com/newrelic/newrelic-cloudformation-resource-providers-alertsmutingrule.git
     */
    readonly attrId: string;
    /**
     * Create a new `NewRelic::Observability::AlertsMutingRule`.
     *
     * @param scope - scope in which this resource is defined
     * @param id    - scoped id of the resource
     * @param props - resource properties
     */
    constructor(scope: constructs.Construct, id: string, props: CfnAlertsMutingRuleProps);
}
